bitbake error

cancel
Showing results for 
Search instead for 
Did you mean: 

bitbake error

344 Views
Contributor I

Hi,

I have recently purchased imx8mini board.

I have installed ubuntu16.04 in the vmware

I have download the yocto project by using "repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-sumo -m imx-4.14.98-2.0.0_ga.xml".

Then I run the commond:

DISTRO=fsl-imx-wayland MACHINE=imx8mmevk source fsl-setup-release.sh -b build-wayland

bitbake -k fsl-image-qt5-validation-imx

WARNING: You have included the meta-gnome layer, but 'x11' has not been enabled in your DISTRO_FEATURES. Some bbappend files may not take effect. See the meta-gnome README for details on enabling meta-gnome support.
Loading cache: 100% |############################################| Time: 0:00:00
Loaded 3483 entries from dependency cache.
NOTE: Resolving any missing task queue dependencies
NOTE: Multiple providers are available for runtime ptpd (ptpd, ptpd-qoriq)
Consider defining a PREFERRED_RPROVIDER entry to match ptpd
NOTE: Multiple providers are available for runtime ptpd-dev (ptpd, ptpd-qoriq)
Consider defining a PREFERRED_RPROVIDER entry to match ptpd-dev

Build Configuration:
BB_VERSION = "1.38.0"
BUILD_SYS = "x86_64-linux"
NATIVELSBSTRING = "ubuntu-16.04"
TARGET_SYS = "aarch64-poky-linux"
MACHINE = "imx8mmevk"
DISTRO = "fsl-imx-wayland"
DISTRO_VERSION = "4.14-sumo"
TUNE_FEATURES = "aarch64"
TARGET_FPU = ""
meta
meta-poky = "HEAD:c9bd4984f8f471ca2c43052714f4413ba99cf171"
meta-oe
meta-multimedia = "HEAD:8760facba1bceb299b3613b8955621ddaa3d4c3f"
meta-freescale = "HEAD:27ca94f8a4336790ba117b4298566f6820e7e74c"
meta-freescale-3rdparty = "HEAD:82037216280a39957fb4272581637abec734ad50"
meta-freescale-distro = "HEAD:f7e2216e93aff14ac32728a13637a48df436b7f4"
meta-bsp
meta-sdk = "HEAD:8eeb420fad668b733ab95b460895e1c337c66b25"
meta-browser = "HEAD:75640e14e325479c076b6272b646be7a239c18aa"
meta-gnome
meta-networking
meta-python
meta-filesystems = "HEAD:8760facba1bceb299b3613b8955621ddaa3d4c3f"
meta-qt5 = "HEAD:d4e7f73d04e8448d326b6f89908701e304e37d65"

Initialising tasks: 100% |#######################################| Time: 0:00:05
NOTE: Executing SetScene Tasks
NOTE: Executing RunQueue Tasks
ERROR: qtwayland-5.10.1+gitAUTOINC+db36bc0d9c-r0 do_compile: oe_runmake failed
ERROR: qtwayland-5.10.1+gitAUTOINC+db36bc0d9c-r0 do_compile: Function failed: do_compile (log file is located at /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/temp/log.do_compile.3929)
ERROR: Logfile of failure stored in: /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/temp/log.do_compile.3929
Log data follows:
| DEBUG: Executing shell function do_compile
| NOTE: make -j 4 MAKEFLAGS=-j 4 OE_QMAKE_COMPILER=aarch64-poky-linux-gcc --sysroot=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot OE_QMAKE_CC=aarch64-poky-linux-gcc --sysroot=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot OE_QMAKE_CXX=aarch64-poky-linux-g++ --sysroot=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot OE_QMAKE_CFLAGS= -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0=/usr/src/debug/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0 -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot= -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native= OE_QMAKE_CXXFLAGS= -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0=/usr/src/debug/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0 -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot= -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native= -fvisibility-inlines-hidden OE_QMAKE_LINK=aarch64-poky-linux-g++ --sysroot=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot OE_QMAKE_LDFLAGS=-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed OE_QMAKE_AR=aarch64-poky-linux-ar OE_QMAKE_STRIP=echo OE_QMAKE_INCDIR_QT=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot//usr/include/qt5
| cd src/ && ( test -e Makefile || /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native/usr/bin/qt5/qmake -o Makefile /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/git/src/src.pro ) && make -f Makefile
| make[1]: Entering directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src'
| cd qtwaylandscanner/ && ( test -e Makefile || /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native/usr/bin/qt5/qmake -o Makefile /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/git/src/qtwaylandscanner/qtwaylandscanner.pro ) && make -f Makefile
| make[2]: Entering directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/qtwaylandscanner'
| make[2]: Nothing to be done for 'first'.
| make[2]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/qtwaylandscanner'
| cd client/ && ( test -e Makefile || /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native/usr/bin/qt5/qmake -o Makefile /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/git/src/client/client.pro ) && make -f Makefile
| cd compositor/ && ( test -e Makefile || /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native/usr/bin/qt5/qmake -o Makefile /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/git/src/compositor/compositor.pro ) && make -f Makefile
| make[2]: Entering directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/client'
| make[2]: Nothing to be done for 'first'.
| make[2]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/client'
| make[2]: Entering directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/compositor'
| rm -f libQt5WaylandCompositor.so.5.10.1 libQt5WaylandCompositor.so libQt5WaylandCompositor.so.5 libQt5WaylandCompositor.so.5.10
| linking ../../lib/libQt5WaylandCompositor.so.5.10.1
| .obj/moc_qwaylandcompositor.o: file not recognized: File truncated
| collect2: error: ld returned 1 exit status
| Makefile:473: recipe for target '../../lib/libQt5WaylandCompositor.so.5.10.1' failed
| make[2]: *** [../../lib/libQt5WaylandCompositor.so.5.10.1] Error 1
| make[2]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/compositor'
| Makefile:98: recipe for target 'sub-compositor-make_first' failed
| make[1]: *** [sub-compositor-make_first] Error 2
| make[1]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src'
| Makefile:46: recipe for target 'sub-src-make_first' failed
| make: *** [sub-src-make_first] Error 2
| ERROR: oe_runmake failed
| WARNING: exit code 1 from a shell command.
| ERROR: Function failed: do_compile (log file is located at /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/temp/log.do_compile.3929)
ERROR: Task (/home/fushi/imx-yocto-bsp/sources/meta-qt5/recipes-qt/qt5/qtwayland_git.bb:do_compile) failed with exit code '1'
NOTE: Tasks Summary: Attempted 6858 tasks of which 6857 didn't need to be rerun and 1 failed.

Summary: 1 task failed:
/home/fushi/imx-yocto-bsp/sources/meta-qt5/recipes-qt/qt5/qtwayland_git.bb:do_compile
Summary: There was 1 WARNING message shown.
Summary: There were 2 ERROR messages shown, returning a non-zero exit code.

Labels (1)
0 Kudos
13 Replies

123 Views
NXP Employee
NXP Employee

Hi  black huang

| .obj/moc_qwaylandcompositor.o: file not recognized: File truncated, the .so file is corrupted and it caused by unexcepted exit. You need to clean the project and rebuild the images.

 

Best Regards,

Zhiming

 

0 Kudos

123 Views
Contributor I

Is it a command " bitbake clean"?

0 Kudos

123 Views
Contributor I

I don't have a clue ".obj/moc_qwaylandcompositor.o: file not recognized: File truncated",so do I still need to clear the project?

0 Kudos

123 Views
NXP Employee
NXP Employee

Hi  black huang

| linking ../../lib/libQt5WaylandCompositor.so.5.10.1
| .obj/moc_qwaylandcompositor.o: file not recognized: File truncated
| collect2: error: ld returned 1 exit status
| Makefile:473: recipe for target '../../lib/libQt5WaylandCompositor.so.5.10.1' failed
| make[2]: *** [../../lib/libQt5WaylandCompositor.so.5.10.1] Error 1
| make[2]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/compositor'
| Makefile:98: recipe for target 'sub-compositor-make_first' failed
| make[1]: *** [sub-compositor-make_first] Error 2
| make[1]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src'
| Makefile:46: recipe for target 'sub-src-make_first' failed
| make: *** [sub-src-make_first] Error 2
| ERROR: oe_runmake failed
| WARNING: exit code 1 from a shell command.
| ERROR: Function failed: do_compile (log file is located at /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/temp/log.do_compile.3929)
ERROR: Task (/home/fushi/imx-yocto-bsp/sources/meta-qt5/recipes-qt/qt5/qtwayland_git.bb:do_compile) failed with exit code '1'
NOTE: Tasks Summary: Attempted 6858 tasks of which 6857 didn't need to be rerun and 1 failed.

Summary: 1 task failed:
/home/fushi/imx-yocto-bsp/sources/meta-qt5/recipes-qt/qt5/qtwayland_git.bb:do_compile
Summary: There was 1 WARNING message shown.
Summary: There were 2 ERROR messages shown, returning a non-zero exit code.

The log file you provided shows moc_qwaylandcompositor.o was damaged and toolchain can not use,you can bitbake -c cleanall to clean.

Best Regards,

Zhiming

0 Kudos

123 Views
Contributor I

 I run the commond:

bitbake -c cleanall fsl-image-qt5-validation-imx

then I rerun bitbake -k fsl-image-qt5-validation-imx; this error still exists.

0 Kudos

123 Views
NXP Employee
NXP Employee

Did your set the host corretcly?You can try to set host again and build.

sudo apt-get install gawk wget git-core diffstat unzip texinfo gcc-multilib build-essential chrpath socat libsdl1.2-dev

sudo apt-get install libsdl1.2-dev xterm sed cvs subversion coreutils texi2html docbook-utils python-pysqlite2 help2man make gcc g++ desktop-file-utils \
libgl1-mesa-dev libglu1-mesa-dev mercurial autoconf automake groff curl lzop asciidoc

0 Kudos

123 Views
Contributor I

I set  the host correctly.

sudo apt-get install gawk wget git-core diffstat unzip texinfo gcc-multilib build-essential chrpath socat libsdl1.2-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version (12.1ubuntu2).
diffstat is already the newest version (1.61-1).
gawk is already the newest version (1:4.1.3+dfsg-0.1).
gcc-multilib is already the newest version (4:5.3.1-1ubuntu1).
unzip is already the newest version (6.0-20ubuntu1).
chrpath is already the newest version (0.16-1).
socat is already the newest version (1.7.3.1-1).
texinfo is already the newest version (6.1.0.dfsg.1-5).
git-core is already the newest version (1:2.7.4-0ubuntu1.9).
libsdl1.2-dev is already the newest version (1.2.15+dfsg1-3ubuntu0.1).
wget is already the newest version (1.17.1-1ubuntu1.5).
The following package was automatically installed and is no longer required:
snapd-login-service
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 67 not upgraded.
fushi@fushi:~$ sudo apt-get install libsdl1.2-dev xterm sed cvs subversion coreutils texi2html docbook-utils python-pysqlite2 help2man make gcc g++ desktop-file-utils \
> libgl1-mesa-dev libglu1-mesa-dev mercurial autoconf automake groff curl lzop asciidoc
Reading package lists... Done
Building dependency tree
Reading state information... Done
autoconf is already the newest version (2.69-9).
automake is already the newest version (1:1.15-4ubuntu1).
g++ is already the newest version (4:5.3.1-1ubuntu1).
gcc is already the newest version (4:5.3.1-1ubuntu1).
libglu1-mesa-dev is already the newest version (9.0.0-2.1).
make is already the newest version (4.1-6).
sed is already the newest version (4.2.2-7).
xterm is already the newest version (322-1ubuntu1).
asciidoc is already the newest version (8.6.9-3).
docbook-utils is already the newest version (0.6.14-3ubuntu1).
groff is already the newest version (1.22.3-7).
help2man is already the newest version (1.47.3).
lzop is already the newest version (1.03-3.2).
python-pysqlite2 is already the newest version (2.7.0-1).
texi2html is already the newest version (1.82+dfsg1-5).
coreutils is already the newest version (8.25-2ubuntu3~16.04).
curl is already the newest version (7.47.0-1ubuntu2.15).
cvs is already the newest version (2:1.12.13+real-15ubuntu0.1).
desktop-file-utils is already the newest version (0.22-1ubuntu5.2).
libgl1-mesa-dev is already the newest version (18.0.5-0ubuntu0~16.04.1).
libsdl1.2-dev is already the newest version (1.2.15+dfsg1-3ubuntu0.1).
subversion is already the newest version (1.9.3-2ubuntu1.3).
mercurial is already the newest version (3.7.3-1ubuntu1.2).
The following package was automatically installed and is no longer required:
snapd-login-service
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 67 not upgraded.

0 Kudos

123 Views
Contributor I

I did it your way, but the mistake that just happened still exists.

0 Kudos

123 Views
NXP TechSupport
NXP TechSupport

Hello Black,

See below, please!

1. Delete all files in imx-yocto-bsp.

2. re-run "repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-sumo -m imx-4.14.98-2.0.0_ga.xml"

3. gedit .repo/manifests/imx-4.14.98-2.0.0.xml, and modify like below:

......

  <remote fetch="https://git.yoctoproject.org/git" name="yocto"/>

  <remote fetch="https://github.com/Freescale" name="community"/>

  <remote fetch="https://github.com/openembedded" name="oe"/>

  <remote fetch="https://github.com/OSSystems" name="OSSystems"/>

  <remote fetch="https://github.com/meta-qt5"  name="QT5"/>

  <remote fetch="https://github.com/TimesysGit"  name="Timesys"/>

  <remote fetch="https://github.com/meta-rust"  name="rust"/>

  <remote fetch="https://source.codeaurora.org/external/imx" name="CAF"/>

...

save and exit.

4. repo sync.

try it, please!

have a nice day!

B.R.

Weidong

0 Kudos

123 Views
Contributor I

When I run "gedit .repo/manifests/imx-4.14.98-2.0.0.xml" ,I find it is empty. Is it empty?

0 Kudos

123 Views
Contributor I

I rerun "repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-sumo -m imx-4.14.98-2.0.0_ga.xml",The following problems arise:

repo: warning: Python 2 is no longer supported; Please upgrade to Python 3.6+.
repo: warning: Python 2 is no longer supported; Please upgrade to Python 3.6+.

Your identity is: 2511127428@qq.com <2511127428@qq.com>
If you want to change this, please re-run 'repo init' with --config-name

repo has been initialized in /home/fushi/imx-yocto-bsp

what can I do?

0 Kudos

123 Views
NXP Employee
NXP Employee

repo sync

0 Kudos

123 Views
Contributor I

 I run the commond:

bitbake -c cleanall fsl-image-qt5-validation-imx
WARNING: You have included the meta-gnome layer, but 'x11' has not been enabled in your DISTRO_FEATURES. Some bbappend files may not take effect. See the meta-gnome README for details on enabling meta-gnome support.
Loading cache: 100% |############################################| Time: 0:00:01
Loaded 3483 entries from dependency cache.
NOTE: Resolving any missing task queue dependencies
NOTE: Multiple providers are available for runtime ptpd (ptpd, ptpd-qoriq)
Consider defining a PREFERRED_RPROVIDER entry to match ptpd
NOTE: Multiple providers are available for runtime ptpd-dev (ptpd, ptpd-qoriq)
Consider defining a PREFERRED_RPROVIDER entry to match ptpd-dev

Build Configuration:
BB_VERSION = "1.38.0"
BUILD_SYS = "x86_64-linux"
NATIVELSBSTRING = "ubuntu-16.04"
TARGET_SYS = "aarch64-poky-linux"
MACHINE = "imx8mmevk"
DISTRO = "fsl-imx-wayland"
DISTRO_VERSION = "4.14-sumo"
TUNE_FEATURES = "aarch64"
TARGET_FPU = ""
meta
meta-poky = "HEAD:c9bd4984f8f471ca2c43052714f4413ba99cf171"
meta-oe
meta-multimedia = "HEAD:8760facba1bceb299b3613b8955621ddaa3d4c3f"
meta-freescale = "HEAD:27ca94f8a4336790ba117b4298566f6820e7e74c"
meta-freescale-3rdparty = "HEAD:82037216280a39957fb4272581637abec734ad50"
meta-freescale-distro = "HEAD:f7e2216e93aff14ac32728a13637a48df436b7f4"
meta-bsp
meta-sdk = "HEAD:8eeb420fad668b733ab95b460895e1c337c66b25"
meta-browser = "HEAD:75640e14e325479c076b6272b646be7a239c18aa"
meta-gnome
meta-networking
meta-python
meta-filesystems = "HEAD:8760facba1bceb299b3613b8955621ddaa3d4c3f"
meta-qt5 = "HEAD:d4e7f73d04e8448d326b6f89908701e304e37d65"

Initialising tasks: 100% |#######################################| Time: 0:00:02
NOTE: Executing RunQueue Tasks
NOTE: Tasks Summary: Attempted 3 tasks of which 0 didn't need to be rerun and all succeeded.

Summary: There was 1 WARNING message shown.

then I rerun bitbake -k fsl-image-qt5-validation-imx; this error still exists.

WARNING: You have included the meta-gnome layer, but 'x11' has not been enabled in your DISTRO_FEATURES. Some bbappend files may not take effect. See the meta-gnome README for details on enabling meta-gnome support.
Loading cache: 100% |############################################| Time: 0:00:00
Loaded 3483 entries from dependency cache.
NOTE: Resolving any missing task queue dependencies
NOTE: Multiple providers are available for runtime ptpd (ptpd, ptpd-qoriq)
Consider defining a PREFERRED_RPROVIDER entry to match ptpd
NOTE: Multiple providers are available for runtime ptpd-dev (ptpd, ptpd-qoriq)
Consider defining a PREFERRED_RPROVIDER entry to match ptpd-dev

Build Configuration:
BB_VERSION = "1.38.0"
BUILD_SYS = "x86_64-linux"
NATIVELSBSTRING = "ubuntu-16.04"
TARGET_SYS = "aarch64-poky-linux"
MACHINE = "imx8mmevk"
DISTRO = "fsl-imx-wayland"
DISTRO_VERSION = "4.14-sumo"
TUNE_FEATURES = "aarch64"
TARGET_FPU = ""
meta
meta-poky = "HEAD:c9bd4984f8f471ca2c43052714f4413ba99cf171"
meta-oe
meta-multimedia = "HEAD:8760facba1bceb299b3613b8955621ddaa3d4c3f"
meta-freescale = "HEAD:27ca94f8a4336790ba117b4298566f6820e7e74c"
meta-freescale-3rdparty = "HEAD:82037216280a39957fb4272581637abec734ad50"
meta-freescale-distro = "HEAD:f7e2216e93aff14ac32728a13637a48df436b7f4"
meta-bsp
meta-sdk = "HEAD:8eeb420fad668b733ab95b460895e1c337c66b25"
meta-browser = "HEAD:75640e14e325479c076b6272b646be7a239c18aa"
meta-gnome
meta-networking
meta-python
meta-filesystems = "HEAD:8760facba1bceb299b3613b8955621ddaa3d4c3f"
meta-qt5 = "HEAD:d4e7f73d04e8448d326b6f89908701e304e37d65"

Initialising tasks: 100% |#######################################| Time: 0:00:10
NOTE: Executing SetScene Tasks
NOTE: Executing RunQueue Tasks
ERROR: qtwayland-5.10.1+gitAUTOINC+db36bc0d9c-r0 do_compile: oe_runmake failed
ERROR: qtwayland-5.10.1+gitAUTOINC+db36bc0d9c-r0 do_compile: Function failed: do_compile (log file is located at /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/temp/log.do_compile.6598)
ERROR: Logfile of failure stored in: /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/temp/log.do_compile.6598
Log data follows:
| DEBUG: Executing shell function do_compile
| NOTE: make -j 4 MAKEFLAGS=-j 4 OE_QMAKE_COMPILER=aarch64-poky-linux-gcc --sysroot=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot OE_QMAKE_CC=aarch64-poky-linux-gcc --sysroot=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot OE_QMAKE_CXX=aarch64-poky-linux-g++ --sysroot=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot OE_QMAKE_CFLAGS= -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0=/usr/src/debug/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0 -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot= -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native= OE_QMAKE_CXXFLAGS= -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0=/usr/src/debug/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0 -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot= -fdebug-prefix-map=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native= -fvisibility-inlines-hidden OE_QMAKE_LINK=aarch64-poky-linux-g++ --sysroot=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot OE_QMAKE_LDFLAGS=-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed OE_QMAKE_AR=aarch64-poky-linux-ar OE_QMAKE_STRIP=echo OE_QMAKE_INCDIR_QT=/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot//usr/include/qt5
| cd src/ && ( test -e Makefile || /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native/usr/bin/qt5/qmake -o Makefile /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/git/src/src.pro ) && make -f Makefile
| make[1]: Entering directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src'
| cd qtwaylandscanner/ && ( test -e Makefile || /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native/usr/bin/qt5/qmake -o Makefile /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/git/src/qtwaylandscanner/qtwaylandscanner.pro ) && make -f Makefile
| make[2]: Entering directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/qtwaylandscanner'
| make[2]: Nothing to be done for 'first'.
| make[2]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/qtwaylandscanner'
| cd client/ && ( test -e Makefile || /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native/usr/bin/qt5/qmake -o Makefile /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/git/src/client/client.pro ) && make -f Makefile
| cd compositor/ && ( test -e Makefile || /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/recipe-sysroot-native/usr/bin/qt5/qmake -o Makefile /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/git/src/compositor/compositor.pro ) && make -f Makefile
| make[2]: Entering directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/client'
| make[2]: Nothing to be done for 'first'.
| make[2]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/client'
| make[2]: Entering directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/compositor'
| rm -f libQt5WaylandCompositor.so.5.10.1 libQt5WaylandCompositor.so libQt5WaylandCompositor.so.5 libQt5WaylandCompositor.so.5.10
| linking ../../lib/libQt5WaylandCompositor.so.5.10.1
| .obj/moc_qwaylandcompositor.o: file not recognized: File truncated
| collect2: error: ld returned 1 exit status
| Makefile:473: recipe for target '../../lib/libQt5WaylandCompositor.so.5.10.1' failed
| make[2]: *** [../../lib/libQt5WaylandCompositor.so.5.10.1] Error 1
| make[2]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src/compositor'
| Makefile:98: recipe for target 'sub-compositor-make_first' failed
| make[1]: *** [sub-compositor-make_first] Error 2
| make[1]: Leaving directory '/home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/build/src'
| Makefile:46: recipe for target 'sub-src-make_first' failed
| make: *** [sub-src-make_first] Error 2
| ERROR: oe_runmake failed
| WARNING: exit code 1 from a shell command.
| ERROR: Function failed: do_compile (log file is located at /home/fushi/imx-yocto-bsp/build-wayland/tmp/work/aarch64-mx8mm-poky-linux/qtwayland/5.10.1+gitAUTOINC+db36bc0d9c-r0/temp/log.do_compile.6598)
ERROR: Task (/home/fushi/imx-yocto-bsp/sources/meta-qt5/recipes-qt/qt5/qtwayland_git.bb:do_compile) failed with exit code '1'
NOTE: Tasks Summary: Attempted 6858 tasks of which 6852 didn't need to be rerun and 1 failed.

Summary: 1 task failed:
/home/fushi/imx-yocto-bsp/sources/meta-qt5/recipes-qt/qt5/qtwayland_git.bb:do_compile
Summary: There was 1 WARNING message shown.
Summary: There were 2 ERROR messages shown, returning a non-zero exit code.

0 Kudos